Gecode::Float::FloatTraceView Class Reference

Float trace view. More...

`#include <trace-view.hpp>`

## Public Member Functions

| FloatTraceView (void)
| Default constructor (initializes with no view).
| FloatTraceView (Space &home, FloatView y)
| Duplicate view y.
void | prune (Space &home, FloatView y, const Delta &d)
| Update duplicated view from view y and delta d.
void | update (Space &home, FloatTraceView x)
| Update during cloning.

## Static Public Member Functions

static FloatNum | slack (FloatView x)
| Return slack of x.

## Detailed Description

Float trace view.

Definition at line 37 of file trace-view.hpp.

## Constructor & Destructor Documentation

## FloatTraceView() [1/2]

Gecode::Float::FloatTraceView::FloatTraceView | ( | void |  | ) |

inline

Default constructor (initializes with no view).

Definition at line 52 of file trace-view.hpp.

## FloatTraceView() [2/2]

Gecode::Float::FloatTraceView::FloatTraceView | ( | Space & | home,
|  | FloatView | y )

inline

Duplicate view y.

Definition at line 54 of file trace-view.hpp.

## Member Function Documentation

## prune()

void Gecode::Float::FloatTraceView::prune | ( | Space & | home,
|  | FloatView | y,
|  | const Delta & | d )

inline

Update duplicated view from view y and delta d.

Definition at line 56 of file trace-view.hpp.

## update()

void Gecode::Float::FloatTraceView::update | ( | Space & | home,
|  | FloatTraceView | x )

inline

Update during cloning.

Definition at line 58 of file trace-view.hpp.

## slack()

FloatNum Gecode::Float::FloatTraceView::slack | ( | FloatView | x | ) |

inline static

Return slack of x.

Definition at line 60 of file trace-view.hpp.

The documentation for this class was generated from the following file:

- gecode/float/trace/trace-view.hpp